package cz.fi.muni.pa165.entity;

import cz.fi.muni.pa165.entity.interfaces.ExternalAccess;
import cz.fi.muni.pa165.entity.interfaces.Viewable;
import cz.fi.muni.pa165.enums.CountryEnum;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.util.ArrayList;
import java.util.Date;

@Entity
@Data
public class PersonEntity extends BaseEntity implements ExternalAccess, Viewable {

    @Column(nullable = false)
    private String name;

    private Date birth;

    private CountryEnum country;

    public PersonEntity() {
    }

    public PersonEntity(String name){
        this.name = name;
    }

    public PersonEntity(String name, Date birth, CountryEnum country){
        this(name);

        this.birth = birth;
        this.country = country;
    }

    @Override
    public boolean login() {
        return false;
    }

    @Override
    public boolean changePassword() {
        return false;
    }

    @Override
    public ArrayList<String> getInformation() {
        return null;
    }
}
