package cz.fi.muni.pa165.entity;

import cz.fi.muni.pa165.entity.interfaces.Viewable;
import cz.fi.muni.pa165.enums.CountryEnum;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToMany;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@Entity
public class TeamEntity extends BaseEntity implements Viewable {

    @Column(nullable = false, unique = true)
    private String name;
    private CountryEnum country;
    @OneToMany
    private Set<PlayerEntity> playerList = new HashSet<>();
    @ManyToMany
    private Set<TournamentEntity> completedTournaments;
    @ManyToMany
    private Set<TournamentEntity> plannedTournaments;
    @OneToOne
    private TeamManagerEntity manager;

    public TeamEntity(){

    }

    public TeamEntity(String name, TeamManagerEntity manager){
        this.name = name;
        this.manager = manager;
    }

    public void addPlayerToTheTeam(PlayerEntity newPlayer){
        this.playerList.add(newPlayer);
    }

    @Override
    public ArrayList<String> getInformation() {
        return null;
    }
}
